Package org.oasis_open.docs.ws_calendar.ns.soap

# Class FreebusyReportType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.FreebusyReportType

public class FreebusyReportType extends BaseRequestType
Request a freebusy report on the targeted principal. This is a scheduling freebusy request which incorporates information such as availability etc. As such the response may depend on information not visible to the caller.

Java class for FreebusyReportType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FreebusyReportType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseRequestType">
           <sequence>
             <element name="time-range" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}UTCTimeRangeType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected UTCTimeRangeType`
  `timeRange`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreebusyReportType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UTCTimeRangeType`
  `getTimeRange()`
  Gets the value of the timeRange property.
  `void`
  `setTimeRange(UTCTimeRangeType value)`
  Sets the value of the timeRange property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### timeRange

    protected UTCTimeRangeType timeRange

- ## Constructor Details

  - ### FreebusyReportType

    public FreebusyReportType()

- ## Method Details

  - ### getTimeRange

    public UTCTimeRangeType getTimeRange()
    Gets the value of the timeRange property.
    Returns:
      possible object is `UTCTimeRangeType`

  - ### setTimeRange

    public void setTimeRange(UTCTimeRangeType value)
    Sets the value of the timeRange property.
    Parameters:
      `value` - allowed object is `UTCTimeRangeType`